Get agent
curl --request GET \
--url https://api.elemente.ai/api/v1/agents/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.elemente.ai/api/v1/agents/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.elemente.ai/api/v1/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1234567890",
"name": "John Doe",
"email": "john.doe@example.com",
"language": "en-US",
"active": true,
"voiceSpeed": 1.5,
"voiceId": "1234567890",
"capabilities": [
"capability1",
"capability2"
],
"jobDescriptions": "Job description 1",
"roleText": "Role text 1",
"actions": [
{
"id": "1234567890",
"name": "Action 1",
"action": "action1",
"parameters": {}
}
],
"skills": [
{
"id": "1234567890",
"name": "Skill 1",
"description": "Description of the skill 1",
"language": "en-US",
"active": true
}
],
"phone": "+1234567890",
"updatedAt": "2022-01-01T00:00:00.000Z",
"createdAt": "2022-01-01T00:00:00.000Z"
}Agent
Get agent
GET
/
api
/
v1
/
agents
/
{id}
Get agent
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the agent
Response
The requested AI agent
The id of the agent
Example:
"1234567890"
The name of the agent
Example:
"John Doe"
The email of the agent
Example:
"john.doe@example.com"
The language of the agent
Example:
"en-US"
The active status of the agent
Example:
true
The voice speed of the agent
Example:
1.5
The voice id of the agent
Example:
"1234567890"
The capabilities of the agent
Example:
["capability1", "capability2"]
The job descriptions of the agent
Example:
"Job description 1"
The role text of the agent
Example:
"Role text 1"
The actions of the agent
Example:
[
{
"id": "1234567890",
"name": "Action 1",
"action": "action1",
"parameters": {}
}
]
The skills of the agent
Example:
[
{
"id": "1234567890",
"name": "Skill 1",
"description": "Description of the skill 1",
"language": "en-US",
"active": true
}
]
The phone number of the agent
Example:
"+1234567890"
The updatedAt date of the agent
Example:
"2022-01-01T00:00:00.000Z"
The createdAt date of the agent
Example:
"2022-01-01T00:00:00.000Z"
